package com.ss.android.ugc.aweme.discover.model;

import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;
import com.google.gson.b.a;
import com.ss.android.ugc.aweme.utils.GsonHolder;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

public class SearchLiveList extends SearchApiResult {
    @c(LIZ = "cursor")
    public long cursor;
    public List<SearchLiveStruct> extraData;
    @c(LIZ = "extra_data")
    public List<Map<?, ?>> extraDataRaw;
    @c(LIZ = "has_more")
    public boolean hasMore;
    public List<SearchLiveStruct> liveList;
    @c(LIZ = "data")
    public List<Map<?, ?>> liveListRaw;

    static {
        Covode.recordClassIndex(65200);
    }

    public List<SearchLiveStruct> getExtraData() {
        if (this.extraData == null && this.extraDataRaw != null) {
            this.extraData = new ArrayList();
            for (Map<?, ?> LIZIZ : this.extraDataRaw) {
                this.extraData.add(GsonHolder.LIZJ().LIZIZ().LIZ(GsonHolder.LIZJ().LIZIZ().LIZIZ(LIZIZ), new a<SearchLiveStruct>() {
                    static {
                        Covode.recordClassIndex(65202);
                    }
                }.type));
            }
        }
        return this.extraData;
    }

    public List<SearchLiveStruct> getLiveList() {
        if (this.liveList == null && this.liveListRaw != null) {
            this.liveList = new ArrayList();
            for (Map<?, ?> LIZIZ : this.liveListRaw) {
                this.liveList.add(GsonHolder.LIZJ().LIZIZ().LIZ(GsonHolder.LIZJ().LIZIZ().LIZIZ(LIZIZ), new a<SearchLiveStruct>() {
                    static {
                        Covode.recordClassIndex(65201);
                    }
                }.type));
            }
        }
        return this.liveList;
    }
}
